Il s'agit du forum d'assistance technique de WPML, le plug-in multilingue pour WordPress.

Il est accessible à tous, toutefois seuls les clients de WPML peuvent y publier leurs messages. L'équipe de WPML répond aux messages du forum 6 jours sur 7, 22 heures sur 24.

Aucun de nos assistants n'est disponible aujourd'hui sur le forum French. Veuillez créer un ticket, et nous nous le traiterons dès notre prochaine connexion. Merci de votre compréhension.

This thread is resolved. Here is a description of the problem and solution.

Le problème : Depuis les dernières mises à jour, le convertisseur de devises ne fonctionne plus. Impossible de mettre les taux de change à jour en mentionnant une erreur sur le code api qui était et reste bon.

La solution: - Faites la mise à jour de WCML

Documentation: https://wpml.org/version/woocommerce-multilingual-4-5-0/

This topic contains 9 réponses, has 2 participants.

Last updated by alinam-2 il y a 5 mois et 1 semaine.

Assigned support staff: Andrés.

Auteur Messages
février 15, 2019 à 2:01 #3205207

alinam-2

Je tente de : depuis les dernières mises à jour, le convertisseur de devises ne fonctionne plus. Impossible de mettre les taux de change à jour en mentionnant une erreur sur le code api qui était et reste bon. La widget n'apparait pas dans les fiches produits

URL de (mon) site Internet où le problème apparaît :
hidden link

Je m'attendais à voir :

À la place, j'ai obtenu :

février 15, 2019 à 2:17 #3205305

Andrés
Supporter

Languages: Anglais (English ) Espagnol (Español ) Français (Français )

Timezone: Europe/Paris (GMT+02:00)

Bonjour,

Bienvenue à l'assistance technique de WPML.

Est-ce que vous pouvez décrire d'une manière détaillée comment répliquer ce comportement ?

Afin de mieux cerner le problème, je vais avoir besoin d’un accès temporaire à votre site (wp-admin et FTP). Idéalement sur un site de test où le problème a été si possible répliqué.
Vous trouverez sous la zone de commentaires, les champs nécessaires (quand vous êtes connecté) à remplir dans votre prochaine réponse. Les informations que vous allez saisir sont privées, ce qui signifie que seul vous et moi y auront accès.

*Important: Assurez-vous de créer une sauvegarde de la base de données ainsi comme de votre site avant de proceder ! Vous pouvez utiliser une extension comme le plugin Duplicator.
Consultez: http://wordpress.org/plugins/duplicator/

Si vous ne voyez pas ce formulaire, ne publiez pas vos identifiants car cette information sera publique.
hidden link

Sécurité au moment de fournir l’information de debug à l’assistance technique:
https://wpml.org/purchase/support-policy/privacy-and-security-when-providing-debug-information-for-support/

Cordialement,
Andrés

février 23, 2019 à 7:07 #3235656

alinam-2

Bonjour,
C'est visiblement un pb que vous connaissez:
https://wpml.org/forums/topic/currency-api/#post-3225584

Mais la réponse ne fonctionne pas pour moi car mon fichier s'appelle
class-wcml-exchange-rates.php
et je n'ai pas de ligne qui ressemble à cela
private $api_url = '<u>hidden link</u>';

Ensuite, meme le changement en manuel ne marche pas

Cordialement

février 25, 2019 à 6:35 #3238077

Andrés
Supporter

Languages: Anglais (English ) Espagnol (Español ) Français (Français )

Timezone: Europe/Paris (GMT+02:00)

Bonjour,

En effet, nous avons déjà identifié cette situation. Or, si cette solution temporaire ne fonctionne pas dans votre cas, je vous recommande d'attendre jusqu'au moment que nos développeurs publie une nouvelle version de notre WooCommerce Multilingual.

Je vous tiens au courant,
Cordialement

février 26, 2019 à 5:15 #3243148

alinam-2

Bonjour,
le problème est connu maintenant depuis 15 jours
Quand arrive la correction?
Cordialement

février 26, 2019 à 6:35 #3243229

Andrés
Supporter

Languages: Anglais (English ) Espagnol (Español ) Français (Français )

Timezone: Europe/Paris (GMT+02:00)

Bonjour,

Je ne peux pas vous fournir une date car cela dépend des développeurs. Par contre, je vous tiens au courant dès que la solution sera disponible.

Cordialement

février 26, 2019 à 6:50 #3243237

alinam-2

OK, je comprends, mais quel est l'objectif?
je ne peux pas imaginer qu'un patron laisse faire ses développeurs selon leurs envies

février 26, 2019 à 7:09 #3243250

Andrés
Supporter

Languages: Anglais (English ) Espagnol (Español ) Français (Français )

Timezone: Europe/Paris (GMT+02:00)

Je vous tiens au courant, merci de votre compréhension.
Cordialement

avril 4, 2019 à 12:09 #3534581

Andrés
Supporter

Languages: Anglais (English ) Espagnol (Español ) Français (Français )

Timezone: Europe/Paris (GMT+02:00)

Bonjour,

Nous venons de publier une nouvelle version de WooCommerce Multilingual qui devrait résoudre cette problème. Pouvez-vous faire une sauvegarde complète de votre site et faire la mise à jour de votre paquet WPML ?

Cordialement,
Andrés

avril 11, 2019 à 6:11 #3583969

alinam-2

My issue is resolved now. Thank you!